[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# ReadLFMHeader

## Declaration

Source position: lresources.pp line 521

`procedure ReadLFMHeader(`
`LFMStream: TStream;`
`out LFMType: string;`
`out LFMComponentName: string;`
`out LFMClassName: string`
`); procedure ReadLFMHeader(`
`const LFMSource: string;`
`out LFMClassName: string;`
`out LFMType: string`
`); procedure ReadLFMHeader(`
`const LFMSource: string;`
`out LFMType: string;`
`out LFMComponentName: string;`
`out LFMClassName: string`
`);`

## Arguments

`LFMStream` |  | TStream instance with the LFM content read in the routine.
`LFMType` |  | Output variable which returns the type token for a resource item.
`LFMComponentName` |  | Output variable which returns the component name token for a resource item.
`LFMClassName` |  | Output variable which returns the class name token for a resource item. Allows unit name to be included as a name space for the class.

## Arguments

`LFMSource` |  | String type with the LFM content read in the routine.
`LFMClassName` |  | Output variable which returns the class name token for a resource item. Allows unit name to be included as a name space for the class.
`LFMType` |  | Output variable which returns the type token for a resource item.

## Arguments

`LFMSource` |  | String type with the LFM content read in the routine.
`LFMType` |  | Output variable which returns the type token for a resource item.
`LFMComponentName` |  | Output variable which returns the component name token for a resource item.
`LFMClassName` |  | Output variable which returns the class name token for a resource item. Allows unit name to be included as a name space for the class.

## Description

ReadLFMHeader is an overloaded procedure used to read the header for the LFM resource. The overloaded variants allow the LFM content to be read from either a TStream instance or a string value.

Values for the LFM resource type (optional), component name, and class name are returned in the corresponding output variables.

ReadLFMHeader is used to implement portions of the Lazarus IDE like the form editor, project inspector, and source code file manager.

## Version info

Modified in LCL 3.0 to support use of unit name as a name space for classes in a LFM resource.